#!/bin/bash

# root check
if [ `whoami` != "root" ];
then
    echo "You have to be root to run this script ....";
    exit -1;
fi;
echo "***********************************************"
echo "*                                             *"
echo "* clean up .....................              *"
echo "*                                             *"
echo "***********************************************"
make clean 2>/dev/null
make distclean 2>/dev/null
echo "***********************************************"
echo "*                                             *"
echo "* compiling ....................              *"
echo "*                                             *"
echo "***********************************************"
qmake
make
echo "***********************************************"
echo "*                                             *"
echo "* translation ..................              *"
echo "*                                             *"
echo "***********************************************"
lrelease QMediaBibliothek.pro
echo "***********************************************"
echo "*                                             *"
echo "* installing ...................              *"
echo "*                                             *"
echo "***********************************************"
if [ ! -e /usr/share/doc/qmediabibliothek ];
then
    mkdir /usr/share/doc/qmediabibliothek;
fi
echo "cp src/doc/*.html /usr/share/doc/qmediabibliothek" && cp src/doc/*.html /usr/share/doc/qmediabibliothek
echo "cp src/translations/*.qm /usr/share/qt4/translations" && cp src/translations/*.qm /usr/share/qt4/translations
echo "cp bin/QMediaBibliothek /usr/bin" && cp bin/QMediaBibliothek /usr/bin
find /home -name "createmoviedb.sh" -exec rm {} \; 2>/dev/null
find /home -name "addmovie.sh" -exec rm {} \; 2>/dev/null

echo "********************************************************************************************"
echo "*                                                                                          *"
echo "* Done!                                                                                    *"
echo "*                                                                                          *"
echo "* If no error messages occurred you can start the program with \"QMediaBibliothek\"          *"
echo "* Special thanks to Dr. Buente. He helped to create a french translation.                  *"
echo "*                                                                                          *"
echo "* Suggestions and bug-reports can be send to joerg.zopes@linux-specialist.com              *"
echo "*                                                                                          *"
echo "********************************************************************************************"
